Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040186
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2019-02-12 18:062019-03-28 14:56
ReporterfranciscoView Statuspublic 
Assigned Tomarkmm82 
PriorityhighResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision073b1b33016c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040186: Pending Goods receipts with movement quantity=0

DescriptionWhen a new purchase order line is created , if the order quantity has 3 decimals
there is a bug that in the window Pending Goods Receipts, when is process the order, the order remain in that window with the "Movement Quantity" 0.00.
Steps To Reproduce1. In Purchase Order windows, create a line with "Order Quantity" with 3 decimals (3rd decimal minor than 5).
2. Book the order.
3. Go to Pending Goods Receipts windows and process the order
4. when refresh the window the order is still there, but with "Movement Quantity" 0.
5. If the 3rd decimal is mayor than 5. The order is still not completely delivered, but is not apparent in Pending Goods Receipts.
    * It can be seen from "Create Lines From" in Goods Receipt window.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0110495)
markmm82 (developer)
2019-03-19 17:52

Test Plan:
Verify you have defined the "qtyEdition" property to accept 3 decimals in the Format.xml configuration file.
  <Number name="qtyEdition" decimal="." grouping="," formatOutput="#0.###" formatInternal="#0.000" />
As System Admin:
  Check that Purchase Order - Ordered Quantity field/column is defined with a "Quantity" reference. Same for Goods Receipt - Movement Quantity field/column. This reference is implemented to read settings from the "qtyEdition" property.
  Notice that these fields are shown with 3 decimals of precision in both windows.

As Group Admin:
  Create a new Purchase Order:
    Organization: F&B España - Región Norte
    Business Partner: Refrescos Naturales, S.A.

  Add a new line with the following information:
    Product: Limonada 0,5L
    Ordered Quantity: 25.112
    Net Unit Price: 0.55

  Book it.

  Go to Goods Receipt Window and create a new header for the same organization and business partner.
  Execute the "Create Lines From" process.
  Select the previously created order.
  Notice that the line of the order is shown with the same quantity as it was created: 25.112 (without rounding it).
  Select the line and any storage bin.
  OK.
  Notice a new line is created to the Good Receipt with 25.112 as it movement quantity (without rounding it).
  DO NOT complete the document and remove the line from it.

  Go to Pending Goods Receipts process.
  Search by the Business Partner and Organization used in the created Purchase Order.
  Notice that the line of the created order is there.
  Notice it is showing the original ordered quantity without any other rounding: 25.112.
  Select the line, any reception adate and warehouse and Process.
  Notice the process ends successfully and a new Goods Receipt is created with a line with 25.112 as it movement quantity.

  Refresh the Pending Goods Receipts window and notice that the line of the previously created order is not there anymore.
(0110552)
hgbot (developer)
2019-03-21 17:23

Repository: erp/devel/pi
Changeset: 073b1b33016cc3c31afe0700422eb041dc1fdf5b
Author: Mark Molina <mark.molina <at> doceleguas.com>
Date: Tue Mar 19 14:08:33 2019 -0300
URL: http://code.openbravo.com/erp/devel/pi/rev/073b1b33016cc3c31afe0700422eb041dc1fdf5b [^]

Fixes issue 40186: Pending Goods receipts with movement quantity=0

The fieldTotalQty and fieldQtyordered fields were incorrect defined to use "euroEdition"
instead of "qtyEdition".
Columns for Ordered Quantity and Movement Quantity of the lines of Purchase Order and Goods Receipt
windows are defined with a "Quantity" reference and it is implemented internally to
format the values using the "qtyEdition" setting.
To do more homogeneous the way the quantities are shown in the process and in the different
windows, all of them will be formatted by the same way: using settings of qtyEdition property.

---
M src/org/openbravo/erpCommon/ad_forms/MaterialReceiptPending.xml
---
(0110553)
hgbot (developer)
2019-03-21 17:23

Repository: erp/devel/pi
Changeset: edd10a6633c63facc951664961b8f94b77b36195
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Mar 21 17:15:46 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/edd10a6633c63facc951664961b8f94b77b36195 [^]

Related to Issue 40186: Replaced euroEdition with qtyEdition for two
more quantity fields.

---
M src/org/openbravo/erpCommon/ad_forms/MaterialReceiptPending.xml
---
(0110554)
dmiguelez (developer)
2019-03-21 17:23

Code Review + Testing Ok
(0110879)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test
(0110880)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-02-12 18:06 francisco New Issue
2019-02-12 18:06 francisco Assigned To => Triage Finance
2019-02-12 18:06 francisco Modules => Core
2019-02-12 18:06 francisco Triggers an Emergency Pack => No
2019-03-05 12:41 francisco Type design defect => defect
2019-03-06 10:13 Sandrahuguet Assigned To Triage Finance => markmm82
2019-03-13 02:28 markmm82 Status new => scheduled
2019-03-13 16:46 markmm82 Note Added: 0110419
2019-03-13 16:46 markmm82 Status scheduled => feedback
2019-03-14 14:14 markmm82 Note Edited: 0110419 View Revisions
2019-03-19 17:30 markmm82 Note Deleted: 0110419
2019-03-19 17:52 markmm82 Note Added: 0110495
2019-03-19 17:53 markmm82 Status feedback => scheduled
2019-03-21 17:23 hgbot Checkin
2019-03-21 17:23 hgbot Note Added: 0110552
2019-03-21 17:23 hgbot Status scheduled => resolved
2019-03-21 17:23 hgbot Resolution open => fixed
2019-03-21 17:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/073b1b33016cc3c31afe0700422eb041dc1fdf5b [^]
2019-03-21 17:23 hgbot Checkin
2019-03-21 17:23 hgbot Note Added: 0110553
2019-03-21 17:23 dmiguelez Review Assigned To => dmiguelez
2019-03-21 17:23 dmiguelez Note Added: 0110554
2019-03-21 17:23 dmiguelez Status resolved => closed
2019-03-21 17:23 dmiguelez Fixed in Version => 3.0PR19Q2
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110879
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110880


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker